Package ch.qos.logback.core.spi

# Class LogbackLock

java.lang.Object
ch.qos.logback.core.spi.LogbackLock

public class LogbackLock extends Object
This class just makes it easier to identify locks associated with logback when analysing thread dumps.

Author:
  Ceki Gülcü

## Constructor Summary

Constructors
Constructor
Description
`LogbackLock()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LogbackLock

public LogbackLock()